package be.iminds.ilabt.jfed.ui.test_cli;

import javafx.embed.swing.JFXPanel;

import java.io.IOException;

/**
 * AutomatedHLTesterCli: the same as AutomatedTesterCli, but the pom also bundles the test that depend on the highlevel lib
 */
public class AutomatedHLTesterCli extends AutomatedTesterCli {
    protected String getIncludedTests() {
        return "all tests";
    }

    public static void main(String[] args) throws IOException, ClassNotFoundException {
        //initialize JavaFX-toolkit
        new JFXPanel();

        int retval = main_helper(args, System.out, System.err, System.in, new AutomatedHLTesterCli());
        System.exit(retval);
    }
}
